﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 政民互动提交公开    
    /// </summary>
    [Description("政民互动提交公开")]
    public class DsZmhdCaseInfoPublic : CreationModificationEntity
    {
        /// <summary>
        /// 部门答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "部门答复时间")]
        public DateTime? AnswerTime { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "答复部门名称", ColumnDataType = "varchar(100)")]
        public string AnswerOu { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [SugarColumn(ColumnDescription = "答复内容", ColumnDataType = "text")]
        public string AnswerContent { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "初审人姓名", ColumnDataType = "varchar(100)")]
        public string AuditFirstName { get; set; }

        /// <summary>
        /// 初审时间
        /// </summary>
        [SugarColumn(ColumnDescription = "初审时间")]
        public DateTime? AuditFirstTime { get; set; }

        /// <summary>
        /// 二审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "二审人姓名", ColumnDataType = "varchar(100)")]
        public string AuditSecondName { get; set; }

        /// <summary>
        /// 公开时间
        /// </summary>
        [SugarColumn(ColumnDescription = "公开时间")]
        public DateTime? PublishDate { get; set; }

        /// <summary>
        /// 公开意见
        /// </summary>
        [SugarColumn(ColumnDescription = "公开意见", ColumnDataType = "varchar(300)")]
        public string PublicOpinion { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
